import requestWhite from '../utils/requestWhite.js';
import request from '../utils/request.js';

import Qs from 'qs';

export function mallDetails(data) { 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/mobile/mall/mallDetails'
	})
}

export function trafficCardMallList(data) { 
	return request({
		method: 'post',
		data:data ,
		url: '/mobile/mall/trafficCardMallList'
	})
}

export function myOrderDetails(data) { 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/mobile/mall/myOrderDetails'
	})
}



export function mallList(data) { 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/mobile/mall/mallList'
	})
}

export function myOrderList(data) { 
	return request({
		method: 'post',
		data:data ,
		url: '/mobile/mall/myOrderList'
	})
}
export function orderMessage(data) { 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/mobile/mall/orderMessage'
	})
}

export function wxJsapiPay(data) { 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/wxPayMall/wxJsapiPay'
	})
}

export function wxJsapiPayNotify(data) { 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/wxPayMall/wxJsapiPayNotify'
	})
}

export function tradePrecreatePay(data) { 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/aliPayMall/tradePrecreatePay'
	})
}

export function findOrderByNo(data) { 
	return requestWhite({
		method: 'post',
		data:data ,
		url: '/mobile/mall/findOrderByNo'
	})
}